<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" AutoEventWireup="true"
    CodeFile="Configuration.aspx.cs" Inherits="Admin_Main_Configuration" Title="Untitled Page" MaintainScrollPositionOnPostback="false" %>
<%@ OutputCache Duration="60" VaryByParam="*" %>
<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<asp:Content ID="ConfigContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        Click the tabs below to modify a particular configuration setting. You can also
        view the current status of the cache at the bottom of this page, with the option
        of being able to clear the cache if required.
    </div>
    <table width="100%" border="0" cellpadding="2" cellspacing="5px">
        <tr valign="top">
            <td>
                <admin:TitleBar ID="TabsTitleBar" runat="server" Text="Configuration Tabs" />
                <table width="100%" border="0" cellpadding="2" cellspacing="5px">
                    <tr>
                        <td class="adminsectionbox">
                            <div class="adminsectionboxheader">
                                <h3>
                                    <a href="../SiteSettings/Default.aspx">Site Settings</a></h3>
                            </div>
                            <div class="adminsectionboxdescription">
                                <div class="adminsectionboximage">
                                    &nbsp;
                                </div>
                                Enables you to configure the settings for this community. For example,
                                use this page to configure the SMTP server settings for e-mail notifications.
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="adminsectionbox">
                            <div class="adminsectionboxheader">
                                <h3>
                                    <a href="../SiteMessages/Default.aspx">Edit Messages</a></h3>
                            </div>
                            <div class="adminsectionboxdescription">
                                <div class="adminsectionboximage">
                                    &nbsp;
                                </div>
                                Enables you to edit the messages that are displayed when users perform certain actions.
                                For example, use this page to edit the message that appears when a user adds new
                                content to a moderated section.
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="adminsectionbox">
                            <div class="adminsectionboxheader">
                                <h3>
                                    <a href="../CustomRedirects/Default.aspx">Custom Redirects</a></h3>
                            </div>
                            <div class="adminsectionboxdescription">
                                <div class="adminsectionboximage">
                                    &nbsp;
                                </div>
                                Enables you to specify certain page and path redirections for your community. Requests
                                to the redirected URL will be transferred to a new URL. Useful if you move a section
                                or page but want old links on the web to still be able to locate that resource.
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="adminsectionbox">
                            <div class="adminsectionboxheader">
                                <h3>
                                    <a href="../DeleteContent/Default.aspx">Delete Content</a></h3>
                            </div>
                            <div class="adminsectionboxdescription">
                                <div class="adminsectionboximage">
                                    &nbsp;
                                </div>
                                Enables you to delete community content. Use this option when you want to remove
                                sample content or rebuild your community from scratch.
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="adminsectionbox">
                            <div class="adminsectionboxheader">                                
                                <asp:UpdatePanel ID="CacheButtonUpdater" runat="server">
                                    <Triggers>
                                        <asp:PostBackTrigger ControlID="CacheClearButton" />
                                    </Triggers>
                                    <ContentTemplate>
                                        <h3><asp:LinkButton ID="CacheClearButton" runat="server" OnClick="CacheClearButton_Click"
                                            Text="Clear Cache" /></h3>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                            <div class="adminsectionboxdescription">
                                <div class="adminsectionboximage">
                                    &nbsp;
                                </div>
                                The information below shows the current status of the websites cache. Click the
                                &quot;Clear Cache&quot; link to reset the cache.
                                <br />
                                <br />
                                There are currently
                                <%= CacheCount %>
                                objects in the cache.
                                <br />
                                <br />
                                <font style="font-size:0.8em">Cache last checked: <%= CacheLastChecked %></font>                                
                            </div>
                        </td>                        
                    </tr>
                </table>
                <hr />
            </td>
            <td style="width: 35%">
                <admin:TitleBar ID="StatsTitleBar" runat="server" Text="Site Statistics" />
                <p>Coming Soon!</p>
                <hr />
            </td>
        </tr>
    </table>
</asp:Content>
