<%@ Control Language="c#" Inherits="Admin_Sections_SectionSecurity" CodeFile="SectionSecurity.ascx.cs"
    AutoEventWireup="true" %>
<!-- View Roles -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpViewRoles')"
                    onmouseout="hideHelp()" />
                View Roles
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                Determines who can view pages in this section.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <dcc:ListPicker ID="ctlViewRoles" AllItemsText="All Roles" SelectedItemsText="Selected Roles"
                    runat="server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpViewRoles" style="display: none">
    Determines who can view pages in this section. For example, if the "Everyone"
    role is not selected, then anonymous users cannot view pages in this section.
</div>
<!-- Add Roles -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpAddRoles')"
                    onmouseout="hideHelp()" />
                Add Roles
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                Determines who can add pages to this section.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <dcc:ListPicker ID="ctlAddRoles" AllItemsText="All Roles" SelectedItemsText="Selected Roles"
                    runat="server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpAddRoles" style="display: none">
    Determines who can add pages to this section. For example, if the "Administrators"
    role is selected, then members of the Administrators role can add content.
</div>
<!-- Edit Roles -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpEditRoles')"
                    onmouseout="hideHelp()" />
                Edit Roles
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                Determines who can edit pages in this section.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <dcc:ListPicker ID="ctlEditRoles" AllItemsText="All Roles" SelectedItemsText="Selected Roles"
                    runat="server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpEditRoles" style="display: none">
    Determines who can edit pages in this section. For example, if the "Administrators"
    role is selected, then members of the Administrators role can edit content.
</div>
<!-- Delete Roles -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpDeleteRoles')"
                    onmouseout="hideHelp()" />
                Delete Roles
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                Determines who can delete pages from this section.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <dcc:ListPicker ID="ctlDeleteRoles" AllItemsText="All Roles" SelectedItemsText="Selected Roles"
                    runat="server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpDeleteRoles" style="display: none">
    Determines who can delete pages from this section. For example, if the "Administrators"
    role is selected, then members of the Administrators role can delete content.
</div>
