<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" Inherits="Admin_SiteImages_AddImage"
    CodeFile="AddImage.aspx.cs" AutoEventWireup="true" %>

<asp:Content ID="DefaultContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        Upload an image to this community by browsing to the image on your local computer.
    </div>
    <dcc:DisplayQuota Text="You have exceeded the quota. Please remove other images before adding a new image."
        runat="server" ID="DisplayQuota1" />
    <div class="formSection">
        <div class="formSectionHeader">
            <div class="helpIcon">
                <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpImage')"
                    onmouseout="hideHelp()" />
            </div>
            Community Image
            <asp:CustomValidator ID="cvFileName" runat="server" ErrorMessage="File name must contain at least one non-numeric character.<br>Please rename your image then try again."
                ControlToValidate="txtImage" Display="Dynamic" OnServerValidate="cvFileName_ServerValidate">*</asp:CustomValidator>
        </div>
        <div class="formSectionContents">            
            <asp:FileUpload id="txtImage" runat="Server" Width="350px" />
        </div>
    </div>
    <div id="helpImage" style="display: none">
        Select the image to upload to the server.
    </div>
    <div class="formSubmit">
        <asp:LoginView ID="lvImageUpload" runat="server">
            <RoleGroups>
                <asp:RoleGroup Roles="Administrators">
                    <ContentTemplate>
                        <asp:UpdatePanel ID="ImageUpdater" runat="server">
                            <Triggers>
                                <asp:PostBackTrigger ControlID="btnAdd" />
                            </Triggers>
                            <ContentTemplate>                                    
                                <asp:Button ID="btnAdd" Text="Add Image" runat="Server" OnClick="btnAdd_Click" CssClass="Button" />
                            </ContentTemplate>
                        </asp:UpdatePanel>                            
                    </ContentTemplate>
                </asp:RoleGroup>
            </RoleGroups>
            <LoggedInTemplate>
                <asp:Button ID="btnAddDisabled" runat="server" Text="Add Image" CssClass="Button" Enabled="False" /><br />
                <span style="font-size: 10pt; color: #ff0066">System Admin Only</span>
            </LoggedInTemplate>
        </asp:LoginView>
        <asp:ValidationSummary ID="ImageValidationSummary" runat="server" DisplayMode="SingleParagraph" />
    </div>
    <hr />
</asp:Content>
