<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" AutoEventWireup="true" CodeFile="EditUser.aspx.cs" Inherits="Admin_Users_EditUser" Title="Untitled Page" %>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
<asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        On this page you can edit an existing user. Update the user information and click the
        "Edit User" button to edit the user.
    </div>
    <div style="width: 100%">

        <div class="formSection">
            <div class="formSectionHeader">
                <div class="helpIcon">
                    <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpUserDetails')"
                        onmouseout="hideHelp()" />
                </div>
                User Details
            </div>
            <div class="formSectionHelp">
                Change the users details.
            </div>
            <div class="formSectionContents">
                E-mail Address:&nbsp;<asp:TextBox ID="txtEmailAddress" runat="server" Columns="40" />
                <hr />
                <table>
                    <tr>
                        <td>Registered:</td>
                        <td><asp:Literal runat="server" ID="lblRegistered" /></td>
                    </tr>
                    <tr>
                        <td>Last Login:</td>
                        <td><asp:Literal runat="server" ID="lblLastLogin" /></td>
                    </tr>
                    <tr>
                        <td>Last Activity:</td>
                        <td><asp:Literal runat="server" ID="lblLastActivity" /></td>
                    </tr>
                </table>
                <hr />
                Online Now?:&nbsp;<asp:Label runat="server" ID="lblOnlineNow" />&nbsp;&nbsp;
                User Is Approved:&nbsp;<asp:CheckBox ID="chkUserApproved" runat="server" />&nbsp;&nbsp;
                User Is Locked Out:&nbsp;<asp:CheckBox ID="chkUserLockedOut" runat="server" />                
            </div>
        </div>
        <div id="helpUserDetails" style="display: none">
            Change the users details.
        </div>

        <div class="formSection">
            <div class="formSectionHeader">
                <div class="helpIcon">
                    <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpUserRoles')"
                        onmouseout="hideHelp()" />
                </div>
                User Roles
            </div>
            <div class="formSectionHelp">
                Change the users security roles.
            </div>
            <div class="formSectionContents">
                Roles: <br />
                <dcc:ListPicker ID="ltpUserRoles" runat="server" />
            </div>
        </div>
        <div id="helpUserRoles" style="display: none">
            Change the users security roles.
        </div>

    </div>
    <div class="formSubmit">
        <asp:LoginView ID="lvwEditButton" runat="server">
            <RoleGroups>
                <asp:RoleGroup Roles="System">
                    <ContentTemplate>
                        <asp:UpdatePanel ID="UserUpdater" runat="server">
                            <Triggers>
                                <asp:PostBackTrigger ControlID="btnEdit" />
                            </Triggers>
                            <ContentTemplate>
                                <asp:Button ID="btnEdit" Text="Edit User" runat="Server" OnClick="btnEdit_Click" />
                            </ContentTemplate>
                        </asp:UpdatePanel> 
                    </ContentTemplate>
                </asp:RoleGroup>
            </RoleGroups>
            <LoggedInTemplate>
                <asp:Button ID="btnEdit" runat="server" Text="Edit User" Enabled="False"></asp:Button><br />
                <span style="font-size: 10pt; color: #ff0066">System Admin Only</span>
            </LoggedInTemplate>
        </asp:LoginView>   
    </div>
    <hr />
</asp:Content>

