<%@ Control Language="C#" ClassName="Articles_ArticlePage" %>
<%--
This skin is used for displaying the articles in the ArticleSection page. 
Modify the HTML content to modify the appearance of the page.
--%>
<asp:WebPartZone ID="ZoneCentre" runat="server" HeaderText="Zone Centre" Width="100%"
    PartChromeType="None">
    <HeaderStyle CssClass="zoneheader" />
    <PartTitleStyle CssClass="webpart_title" />
    <PartChromeStyle CssClass="webpart_chrome" />
    <SelectedPartChromeStyle CssClass="webpart_selected" />
    <EmptyZoneTextStyle CssClass="emptyzone" />
    <MenuLabelStyle CssClass="webpart_menu" />
    <MenuPopupStyle CssClass="webpart_menupopup" />
    <MinimizeVerb ImageUrl="~/Communities/Common/Images/Admin/MinimizeVerb.png" />
    <RestoreVerb ImageUrl="~/Communities/Common/Images/Admin/RestoreVerb.png" />
    <CloseVerb ImageUrl="~/Communities/Common/Images/Admin/CloseVerb.png" />
    <DeleteVerb ImageUrl="~/Communities/Common/Images/Admin/DeleteVerb.png" />
    <EditVerb ImageUrl="~/Communities/Common/Images/Admin/EditVerb.png" />
    <ZoneTemplate>
        <dcc:ArticleListPage ID="ArticleList" runat="server" Title="Article List" Subtitle="A list of articles"
            TitleIconImageUrl="~/Communities/Common/Images/WebParts/ArticleList.png"
            CatalogIconImageUrl="~/Communities/Common/Images/WebParts/ArticleList.png"
            Description="A list of articles in this section." />
    </ZoneTemplate>
</asp:WebPartZone>