<%@ Control Language="C#" ClassName="Categories_Category" %>
<asp:UpdatePanel ID="ContentUpdater" runat="server">
    <ContentTemplate>
        <div style="clear: both; margin-bottom: 5px;">
            <h3><asp:Image ID="imgCategoryImage" runat="Server" ImageAlign="Right" />
            <asp:Label ID="lblCategoryTitle" runat="Server" /></h3>
            <br />
            <p><asp:PlaceHolder ID="plhCategoryDescription" runat="Server" /></p>
        </div>
        <table width="100%">
            <tr>
                <td>
                    <dcc:Sorter ID="Sorter" runat="Server">
                      <sort text="Default Order" value="ContentPage_SortOrder" />
                      <sort text="Date Posted" value="ContentPage_DateCreated"/>
                      <sort text="Title" value="ContentPage_Title"/>
                      <sort text="Popularity" value="ContentPage_ViewCount"/>
                      <sort text="Author" value="ContentPage_UserID" />
                    </dcc:Sorter>
                    <br style="clear: both;" />
                    <dcc:ContentList id="ContentList" width="100%" runat="Server">
                        <ItemTemplate>
                            <table border="0" cellpadding="2" cellspacing="1" width="100%">
                                <tr valign="middle">
                                    <td>
                                        <h3><dcc:TitleLinkItem id="lnkTitle" Runat="Server" /></h3>
                                    </td>
                                    <td align="right">
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <dcc:BriefDescriptionItem ID="BriefDescriptionItem1" runat="Server" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <strong>Posted by
                                            <dcc:AuthorItem ID="AuthorItem1" runat="Server" />
                                            on
                                            <dcc:DateCreatedItem ID="DateCreatedItem1" runat="Server" />
                                        </strong>
                                    </td>
                                </tr>                                
                            </table>
                        </ItemTemplate>
                        <SeparatorTemplate>
                            <br />
                        </SeparatorTemplate>
                        <NoContentTemplate>
	                        <p><i>No content is listed for this category.</i></p>
                        </NoContentTemplate>
                    </dcc:ContentList>
                </td>
            </tr>
        </table>
    </ContentTemplate>
</asp:UpdatePanel>