<%@ Control Language="C#" ClassName="Comments_AddComment" %>

<%--

This skin is used both for adding and editing a comment. Modify the HTML content
to modify the appearance of the page.

--%>

<asp:Panel ID="pnlForm" runat="Server">
    <h2>Comments</h2>
    <p>
        Use this form to add or edit a comment.
    </p>
    <table width="100%" border="0" cellspacing="0" cellpadding="3">
        <tr>
            <td>
                <h3>Comment Form</h3>
            </td>
        </tr>
        <tr>
            <td>
                <strong>Subject:</strong>
                <asp:RequiredFieldValidator ID="CommentSubjectValidator" runat="Server" ControlToValidate="txtTitle" Text="(required)" />
                <br />
                <asp:TextBox ID="txtTitle" Columns="40" CssClass="Form_Field" runat="Server" />
            </td>
        </tr>
        <tr>
            <td>
                <strong>Comment:</strong>
                <asp:RequiredFieldValidator ID="CommentTextValidator" runat="Server" ControlToValidate="txtBody" Text="(required)" />
                <br />
                <dcc:CommentTextEditor ID="txtBody" runat="Server" Width="100%" Height="500" />
            </td>
        </tr>
        <tr>
            <td colspan="2" align="right">
                <asp:Button ID="btnPreview" runat="Server" Text="Preview" CssClass="Form_Button" />
                <asp:Button ID="btnAdd" runat="Server" Text="Submit" CssClass="Form_Button" />
                <asp:Button ID="btnEdit" runat="server" Text="Apply Changes" CssClass="Form_Button" />
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel ID="pnlPreview" runat="Server">
    <table width="100%" border="0" cellpadding="5">
        <tr>
            <td>
                <h3>
                    <dcc:Title ID="lblPreviewTitle" runat="Server" />
                </h3>
            </td>
        </tr>
        <tr>
            <td>
                <dcc:CommentText ID="lblPreviewBody" CssClass="fulldescription" runat="Server" />
            </td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnContinue" Text="Continue" runat="Server" />
</asp:Panel>
