<%@ Control Language="C#" %>
<h3>
    <asp:Localize ID="LocalizeLoginTitle" runat="server" Mode="Transform" Text='<%$ Resources:Users, LoginTitleText %>' /></h3>
<p>
    <asp:Localize ID="LocalizeLoginHeader" runat="server" Mode="Transform" Text='<%$ Resources:Users, LoginHeaderText %>' /><br /><br />
    <asp:Localize ID="LocalizePaswordReminderText" runat="server" Mode="Transform" Text='<%$ Resources:Users, PasswordReminderText %>' /><br /><br />
    <asp:UpdatePanel ID="LoginUpdater" runat="server" ChildrenAsTriggers="true">
        <ContentTemplate>
            <asp:Login ID="LoginForm" runat="server" TitleText="" FailureText='<%$ Resources:Users, LoginFailureText %>'>
                <LayoutTemplate>
                    <table border="0" cellpadding="1" cellspacing="0" style="border-collapse: collapse">
                        <tbody>
                            <tr>
                                <td>
                                    <table border="0" cellpadding="0">
                                        <tbody>
                                            <tr>
                                                <td align="right">
                                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Text='<%$ Resources:Users, UserNameLabel %>' /></td>
                                                <td>
                                                    <asp:TextBox ID="UserName" runat="server" ValidationGroup="ctl00$LoginForm"></asp:TextBox>
                                                    <ajaxToolkit:ValidatorCalloutExtender ID="UserNameCallout" runat="server" TargetControlID="UserNameRequired" />
                                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                        Display="None" ErrorMessage='<%$ Resources:Users, UserNameRequiredText %>' ToolTip='<%$ Resources:Users, UserNameRequiredText %>'
                                                        ValidationGroup="ctl00$LoginForm">*</asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="right">
                                                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Text='<%$ Resources:Users, PasswordLabel %>' /></td>
                                                <td>
                                                    <asp:TextBox ID="Password" runat="server" TextMode="Password" ValidationGroup="ctl00$LoginForm"></asp:TextBox>
                                                    <ajaxToolkit:ValidatorCalloutExtender ID="PasswordCallout" runat="server" TargetControlID="PasswordRequired" />
                                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                        Display="None" ErrorMessage='<%$ Resources:Users, PasswordRequiredText %>' ToolTip='<%$ Resources:Users, PasswordRequiredText %>'
                                                        ValidationGroup="ctl00$LoginForm">*</asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    &nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <asp:CheckBox ID="RememberMe" runat="server" Text='<%$ Resources:Users, RememberMeText %>' ValidationGroup="ctl00$LoginForm" />&nbsp;&nbsp;&nbsp;<asp:Button
                                                        ID="LoginButton" runat="server" CommandName="Login" Text='<%$ Resources:Users, LoginButtonText %>'
                                                        ValidationGroup="ctl00$LoginForm" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center" colspan="2" style="color: red">
                                                    <br />
                                                    <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                                    <ajaxToolkit:NoBot ID="NoLoginBots" runat="server" />
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </LayoutTemplate>
            </asp:Login>
        </ContentTemplate>
    </asp:UpdatePanel>
</p>
