<%@ Control Language="C#" %>
<table cellpadding="2">
    <tr>
        <td>
            <h3>
                Required Information</h3>
        </td>
    </tr>
    <tr>
        <td>
            <strong>Username: </strong>
            <asp:RequiredFieldValidator ControlToValidate="txtUsername" Text="(required)" ErrorMessage="You must enter a username"
                runat="server" ID="UsernameValidator" ValidationGroup="RegistrationValidation" />
            <br />
            <asp:TextBox ID="txtUsername" runat="Server" />
        </td>
    </tr>
    <tr>
        <td>
            <strong>Password: </strong>
            <asp:RequiredFieldValidator ControlToValidate="txtPassword" Text="(required)" ErrorMessage="You must enter a password"
                runat="server" ID="PasswordValidator" ValidationGroup="RegistrationValidation" />
            <br />
            <asp:TextBox ID="txtPassword" TextMode="Password" runat="Server" />
        </td>
    </tr>
    <tr>
        <td>
            <strong>Confirm Password: </strong>
            <asp:RequiredFieldValidator ControlToValidate="txtPasswordAgain" Display="Dynamic"
                Text="(required)" runat="server" ID="PasswordAgainValidator" ValidationGroup="RegistrationValidation" />
            <asp:CompareValidator ControlToValidate="txtPasswordAgain" ControlToCompare="txtPassword" Display="Dynamic"
                Operator="Equal" Type="String" Text="(passwords must match)" ErrorMessage="Passwords must match"
                runat="server" ID="PasswordCompareValidator" ValidationGroup="RegistrationValidation" />
            <br />
            <asp:TextBox ID="txtPasswordAgain" TextMode="Password" runat="Server" />
        </td>
    </tr>
    <tr>
        <td>
            <strong>Email Address: </strong>
            <asp:RequiredFieldValidator ControlToValidate="txtEmail" Display="Dynamic" Text="(required)"
                ErrorMessage="You must enter an email address" runat="server" ID="EMailValidator"
                ValidationGroup="RegistrationValidation" />
            <asp:RegularExpressionValidator ControlToValidate="txtEmail" Text="(invalid email)"
                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Invalid email address"
                runat="server" ID="EMailRegExValidator" ValidationGroup="RegistrationValidation" />
            <br />
            <asp:TextBox ID="txtEmail" Columns="40" runat="Server" />
        </td>
    </tr>
</table>
<asp:Panel ID="SecurityQuestionAnswerPanel" runat="server" Visible="false">
    <table cellpadding="2">
        <tr>
            <td>
                <strong>Security Question: </strong><br />
                <asp:DropDownList ID="ddlSecurityQuestion" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <strong>Security Answer: </strong>
                <asp:RequiredFieldValidator ControlToValidate="txtSecurityAnswer" Display="Dynamic" Text="(required)"
                    ErrorMessage="You must enter a security answer" runat="server" ID="SecurityAnswerValidator"
                    ValidationGroup="RegistrationValidation" />
                <asp:TextBox ID="txtSecurityAnswer" Columns="40" runat="Server" />
            </td>
        </tr>
    </table>    
</asp:Panel>