-- =========================================================================
-- .communities - The Free Community Content Management Framework
-- Copyright  2007 by Ed Quinn (http://edquinn.net)
-- =========================================================================
--
-- For more information about this software, visit:
-- http://www.DotCommunities.org (official site)
-- http://www.codeplex.com/DotCommunities (source code)
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the Shared Source License displayed here:
-- http://www.codeplex.com/DotCommunities/Project/License.aspx
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- Shared Source License for more details.
--
-- Please do not remove any copyright or other notices from this Software.
--
-- =========================================================================

/* Create view View_Community_SectionContentPages.                                            */
CREATE VIEW dbo.View_Community_SectionContentPages
AS
SELECT        dbo.Community_Sections.Section_CommunityID, dbo.Community_Sections.Section_Name, dbo.Community_Sections.Section_PageTypeName, 
                         dbo.Community_Sections.Section_IsSystem, dbo.Community_Sections.Section_IsEnabled, dbo.Community_Sections.Section_SortOrder, 
                         dbo.Community_Sections.Section_DateCreated, dbo.Community_ContentPages.ContentPage_ID, dbo.Community_ContentPages.ContentPage_ParentID, 
                         dbo.Community_ContentPages.ContentPage_SectionID, dbo.Community_ContentPages.ContentPage_UserID, 
                         dbo.Community_ContentPages.ContentPage_EditUserID, dbo.Community_ContentPages.ContentPage_ReplyID, 
                         dbo.Community_ContentPages.ContentPage_ModerationUserID, dbo.Community_ContentPages.ContentPage_PageTypeName, 
                         dbo.Community_ContentPages.ContentPage_Name, dbo.Community_ContentPages.ContentPage_SortOrder, 
                         dbo.Community_ContentPages.ContentPage_RemoteCommunityUniqueID, dbo.Community_ContentPages.ContentPage_RemoteContentPageID, 
                         dbo.Community_ContentPages.ContentPage_RemoteUsername, dbo.Community_ContentPages.ContentPage_RemoteTimestamp, 
                         dbo.Community_ContentPages.ContentPage_DateCreated, dbo.Community_ContentPages.ContentPage_DateUpdated, 
                         dbo.Community_ContentPages.ContentPage_DateCommented, dbo.Community_ContentPages.ContentPage_DateVisible, 
                         dbo.Community_ContentPages.ContentPage_Timestamp, dbo.Community_ContentPages.ContentPage_ModerationStatus, 
                         dbo.Community_ContentPages.ContentPage_ViewCount, dbo.Community_ContentPages.ContentPage_Rating, 
                         dbo.Community_ContentPages.ContentPage_Title
FROM            dbo.Community_Sections INNER JOIN
                         dbo.Community_ContentPages ON dbo.Community_Sections.Section_ID = dbo.Community_ContentPages.ContentPage_SectionID

go