<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/Styles/Admin.master"  CodeFile="AddCategory.aspx.cs" Inherits="Admin_Categories_AddCategory" %>

<%@ Register Src="CategoryGeneral.ascx" TagName="CategoryGeneral" TagPrefix="categories" %>
<asp:Content ID="DefaultContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        On this page you can add a new category. You can create a category by providing just a
        category name or by providing a category name, associated section, image, and description.
    </div>
    <categories:CategoryGeneral ID="AddCategory" runat="server" />
    <div class="formSubmit">
        <asp:LoginView ID="lvwAddButton" runat="server">
            <RoleGroups>
                <asp:RoleGroup Roles="Administrators">
                    <ContentTemplate>
                    <asp:UpdatePanel ID="CategoryUpdater" runat="server">
                        <Triggers>
                            <asp:PostBackTrigger ControlID="btnAdd" />
                        </Triggers>
                        <ContentTemplate>
                            <asp:Button ID="btnAdd" Text="Add Category" runat="Server" OnClick="btnAdd_Click" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    </ContentTemplate>
                </asp:RoleGroup>
            </RoleGroups>
            <LoggedInTemplate>
                <asp:Button ID="btnAdd" runat="server" Text="Add Category" Enabled="False"></asp:Button><br />
                <span style="font-size: 10pt; color: #ff0066">System Admin Only</span>
            </LoggedInTemplate>
        </asp:LoginView>
    </div>
    <hr />
</asp:Content>