<%@ Register Src="../Controls/ExpandingTitleBar.ascx" TagName="ExpandingTitleBar" TagPrefix="admin" %>

<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CategoryGeneral.ascx.cs" Inherits="Admin_Categories_CategoryGeneral" %>
<div class="formSection">
    <div class="formSectionHeader">
        <div class="helpIcon">
            <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpCategoryName')"
                onmouseout="hideHelp()" />
        </div>
        Category Name
        <asp:RequiredFieldValidator ID="CategoryNameValidator" runat="server" ControlToValidate="txtCategoryName" Text="(required)" />
    </div>
    <div class="formSectionContents">
        <asp:TextBox ID="txtCategoryName" runat="Server" Width="250px" MaxLength="50" />
    </div>
</div>
<div id="helpCategoryName" style="display: none">
    Enter a name for the category. This is required and is used for the category menu.
</div>
<div class="formSection">
    <div class="formSectionHeader">
        <div class="helpIcon">
            <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpCategoryOptions')"
                onmouseout="hideHelp()" />
        </div>
        Category Settings (optional)
    </div>
    <div class="formSectionContents">
        Category Section: <asp:DropDownList ID="ddlSections" runat="server" />
        <hr />
        Category Image: <asp:FileUpload id="txtCategoryImage" runat="server" Width="350px" />
        <asp:Panel ID="pnlCategoryImage" runat="server" Visible="false">            
            <asp:Image ID="imgCategoryPreview" runat="server" AlternateText="Category Image" /><br />
            <asp:CheckBox ID="chkRemoveImage" runat="Server" Text="Remove image associated with this category" />
        </asp:Panel>
    </div>
</div>
<div id="helpCategoryOptions" style="display: none">
    Enter information about your category including the associated section (if the category is specific to a section) and
    a category image for displaying in the category list page.
</div>
<div class="formSection">
    <div class="formSectionHeader">
        <div class="helpIcon">
            <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpCategoryDescription')"
                onmouseout="hideHelp()" />
        </div>
        Category Description (optional)
    </div>
    <div class="formSectionContents">
        <dcc:TextEditor ID="txtCategoryDescription" runat="Server" Width="100%" Height="500" AllowHtml="Full" />
    </div>
</div>
<div id="helpCategoryDescription" style="display: none">
    Enter a description for this category. The description is shown on the category listing page and is optional.
</div>