<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Admin_WebBoxServices_Default" Title="Untitled Page" %>

<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<%@ Register Src="../Controls/GridPageSize.ascx" TagName="GridPageSize" TagPrefix="admin" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        You can use Web Box Services to retrieve information from other Web sites and display
        the information in your community Web pages. Web Box Services include both Community
        Web services and RSS services.
    </div>
    <admin:TitleBar ID="ServiceTitleBar" runat="server" Text="Web Box Services" />
    <asp:UpdatePanel ID="WebBoxServiceUpdater" runat="server">
        <ContentTemplate>
            <asp:GridView ID="WebBoxServiceGrid" runat="server" 
                AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" Width="99%" GridLines="None"
                CellPadding="3">
                <HeaderStyle CssClass="gridheader" />
                <RowStyle CssClass="gridrow" />
                <AlternatingRowStyle CssClass="gridaltrow" />
                <Columns>
                    <asp:TemplateField HeaderText="Refresh">
                        <ItemTemplate>
                            <center>
                                <asp:ImageButton ID="btnRefresh" CommandName="Refresh" ImageUrl="../Images/Refresh.gif"
                                    AlternateText="Refresh" runat="Server" />
                            </center>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Edit">
                        <ItemTemplate>
                            <center>
                                <asp:HyperLink ID="lnkEdit" runat="server" Text="Edit" ImageUrl="../Images/Edit.gif" />
                            </center>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Delete">
                        <ItemTemplate>
                            <center>
                                <asp:ImageButton ID="btnDelete" CommandName="Delete" ImageUrl="../Images/Delete.gif"
                                    AlternateText="Delete" runat="Server" />
                            </center>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField HeaderText="Name" />
                    <asp:BoundField HeaderText="Url" />
                    <asp:BoundField HeaderText="Maximum Items" />
                    <asp:BoundField HeaderText="Refresh Rate" />
                    <asp:BoundField HeaderText="Last Refreshed" />
                </Columns>
                <EmptyDataTemplate>
                    <p><i>No Services defined. Click Add New Service to create a new service.</i></p>        
                </EmptyDataTemplate>
            </asp:GridView>
            <hr />
            <admin:GridPageSize ID="WebBoxServicePageSizer" runat="server" GridViewID="WebBoxServiceGrid" />            
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>