<%@ Control Language="C#" ClassName="Articles_Article" %>
<%--

This skin is used for displaying an individual article in the Article page. 
Modify the HTML content to modify the appearance of the page.

--%>
<table width="100%" cellspacing="3" cellpadding="2">
    <tr valign="middle">
        <td>
             <dcc:NotifyCheckBox id="CommentNotify" text="Notify me when a new comment is posted"
                runat="Server" /> 
        </td>
        <td style="text-align: right;">
            <dcc:DisplayCategories runat="Server" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <dcc:BriefDescription ID="ArticleBriefDescripiton" CssClass="briefdescription" runat="Server" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <dcc:ArticleBodyText ID="ArticleBody" CssClass="fulldescription" runat="Server" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <strong>Posted by
                <dcc:Author ID="ArticleAuthor" runat="Server" />
                on
                <dcc:DateCreated ID="ArticleDateCreated" runat="Server" />
            </strong>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <dcc:Rating ID="ArticleRating" runat="Server" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <dcc:Comments runat="Server" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <dcc:ArticleEditContent CommentText="Add Your Comment" EditText="Edit this Article"
                DeleteText="Delete this Article" MoveText="Move this Article" runat="Server" />
        </td>
    </tr>
</table>