<%@ Control Language="C#" ClassName="Sections_SectionList" %>
<asp:UpdatePanel ID="ContentUpdater" runat="server" UpdateMode="Conditional">
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="ContentList" />
    </Triggers>
    <ContentTemplate>
        <dcc:ContentList ID="ContentList" runat="Server">
            <ItemTemplate>
                <table border="0" cellpadding="2" cellspacing="1">
                    <tr>
                        <td colspan="2">
                            <h2>
                                <dcc:SectionPrivateItem ID="SectionPrivateItem1" runat="Server" />
                                <dcc:SectionTitleLinkItem ID="SectionTitleLinkItem1" runat="Server" />
                            </h2>
                        </td>
                    </tr>
                    <tr valign="top">
                        <td>
                            <dcc:SectionLogoItem ID="SectionLogoItem1" runat="server" />
                        </td>
                        <td>
                            <dcc:SectionDescriptionItem ID="SectionDescriptionItem1" runat="Server" />
                        </td>
                    </tr>
                </table>
            </ItemTemplate>
            <NoContentTemplate>
                <p>
                    <i>This section has no child sections.</i></p>
            </NoContentTemplate>
        </dcc:ContentList>
    </ContentTemplate>
</asp:UpdatePanel>
