<%@ Control Language="C#" %>
<asp:Repeater id="rptWebServiceBoxes" EnableViewState="false" Runat="Server">
    <ItemTemplate>
        <div id="webbox">
            <h2><asp:HyperLink id="lnkServiceTitle" Target="_blank" CssClass="WebServiceBox_ServiceTitleLink" Runat="Server" /></h2>
            <p>
                <asp:HyperLink id="lnkServiceImage" Target="_blank" Runat="Server" /><br />
                <asp:Label id="lblServiceDescription" CssClass="WebServiceBox_ServiceDescription" Runat="Server" />
            </p>
            <asp:Repeater id="rptWebServiceBox" Runat="Server">
                <HeaderTemplate>
                    <ul>
                </HeaderTemplate>
                <ItemTemplate>
                    <li>
                        <asp:HyperLink id="lnkItemTitle" Target="_blank" CssClass="WebServiceBox_ListTitleLink" Runat="Server" />
                        <p><asp:Label id="lblItemDescription" CssClass="WebServiceBox_ListDescription" Runat="Server"/></p>
                    </li>
                </ItemTemplate>
                <FooterTemplate>
                    </ul>
                </FooterTemplate>
            </asp:Repeater>
            <p class="servicedata">
                <asp:Label id="lblServiceCopyright" CssClass="WebServiceBox_Copyright" Runat="Server" /><br />
                <asp:Label id="lblDateLastRefreshed" Text="Last Refreshed" CssClass="WebServiceBox_LastRefreshed" Runat="Server" />
            </p>
        </div>
    </ItemTemplate>
    <SeparatorTemplate>
        <br />
    </SeparatorTemplate>
</asp:Repeater>
