<%@ Control Language="C#" %>
<%@ OutputCache Duration="60" VaryByParam="None" %>
<%@ Import Namespace="DotCommunities.Framework.Managers" %>

<script runat="server">

    void Page_Load() 
    {
        ContentList.DataSource = FrameworkManager.GetPopularContent("Download", 3);
        ContentList.DataBind();
    }

</script>

<div id="webbox">
    <h2>Most Popular Downloads</h2>
    <br />
    <dcc:ContentList id="ContentList" Runat="Server">
        <HeaderTemplate>
            <ul>
        </HeaderTemplate>
        <ItemTemplate>
            <li>
                <dcc:TitleLinkItem Runat="Server" />
                <p><dcc:BriefDescriptionItem Runat="Server" /></p>
            </li>
        </ItemTemplate>
        <FooterTemplate>
            </ul>
        </FooterTemplate>
        <NoContentTemplate>
            <p><i>There are no downloads</i></p>
        </NoContentTemplate>
    </dcc:ContentList>
</div>
