<%@ Control Language="C#" ClassName="Popular_Content" %>
<%@ Import Namespace="DotCommunities.Framework.Managers" %>

<script runat="server">
    
    protected void Page_Load(object sender, EventArgs e)
    {
        ContentList.DataSource = FrameworkManager.GetPopularContent(5);
        ContentList.DataBind();
    }
    
</script>

<div id="webpart_control">
    <h2>Popular Content</h2>
    <br />
    <dcc:ContentList id="ContentList" Runat="Server">
        <HeaderTemplate>
            <ul>
        </HeaderTemplate>
        <ItemTemplate>
            <li>
                <dcc:TitleLinkItem ID="TitleLinkItem1" Runat="Server" />
                <p><dcc:BriefDescriptionItem ID="BriefDescriptionItem1" Runat="Server" /></p>
            </li>
        </ItemTemplate>
        <FooterTemplate>
            </ul>
        </FooterTemplate>
        <NoContentTemplate>
            <p><i>There is no content</i></p>
        </NoContentTemplate>
    </dcc:ContentList>
</div>    